package com.huangge1199.ai.service;

import dev.langchain4j.service.SystemMessage;

import java.util.List;

/**
 * LangChainService
 *
 * @author huangge1199
 * @since 2025/7/12 10:25:27
 */
public interface LangChainService {

    @SystemMessage(fromResource = "system-prompt.txt")
    String chat(String message);

    @SystemMessage(fromResource = "system-prompt.txt")
    Report chatForReport(String message);

    record Report(String name, List<String> list){}
}
